Bug 1295245 - [abrt] FlightGear: naHash_get(): fgfs killed by SIGSEGV
[abrt] FlightGear: naHash_get(): fgfs killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: FlightGear (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabrice Bellet
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7a5c34cea24576923b657eb5fc1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 19:22 EST by shialeweb
Modified: 2016-12-20 12:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:35:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.53 KB, text/plain)
2016-01-03 19:22 EST, shialeweb
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-03 19:22 EST, shialeweb
no flags Details
File: core_backtrace (3.49 KB, text/plain)
2016-01-03 19:22 EST, shialeweb
no flags Details
File: dso_list (11.41 KB, text/plain)
2016-01-03 19:22 EST, shialeweb
no flags Details
File: environ (3.30 KB, text/plain)
2016-01-03 19:22 EST, shialeweb
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-03 19:22 EST, shialeweb
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-03 19:23 EST, shialeweb
no flags Details
File: maps (115.50 KB, text/plain)
2016-01-03 19:23 EST, shialeweb
no flags Details
File: mountinfo (3.44 KB, text/plain)
2016-01-03 19:23 EST, shialeweb
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-03 19:23 EST, shialeweb
no flags Details
File: open_fds (679 bytes, text/plain)
2016-01-03 19:23 EST, shialeweb
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2016-01-03 19:23 EST, shialeweb
no flags Details
File: var_log_messages (299 bytes, text/plain)
2016-01-03 19:23 EST, shialeweb
no flags Details

  None (edit)
Description shialeweb 2016-01-03 19:22:53 EST
Version-Release number of selected component:
FlightGear-3.4.0-6.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        fgfs --aircraft=Yak-130 --airport=uenw
crash_function: naHash_get
executable:     /usr/bin/fgfs
global_pid:     4484
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 naHash_get at /usr/src/debug/simgear-3.4.0/simgear/nasal/hash.c:128
 #1 FGNasalSys::createModule(char const*, char const*, char const*, int, SGPropertyNode const*, int, naRef*) at /usr/src/debug/flightgear-3.4.0/src/Scripting/NasalSys.cxx:1151
 #2 FGPUIDialog::~FGPUIDialog() at /usr/src/debug/flightgear-3.4.0/src/GUI/FGPUIDialog.cxx:691
 #4 NewGUI::shutdown() at /usr/src/debug/flightgear-3.4.0/src/GUI/new_gui.cxx:93
 #5 SGSubsystemGroup::shutdown() at /usr/src/debug/simgear-3.4.0/simgear/structure/subsystem_mgr.cxx:208
 #6 SGSubsystemMgr::shutdown() at /usr/src/debug/simgear-3.4.0/simgear/structure/subsystem_mgr.cxx:490
 #7 FGGlobals::~FGGlobals() at /usr/src/debug/flightgear-3.4.0/src/Main/globals.cxx:204
 #9 fgMainInit(int, char**) at /usr/src/debug/flightgear-3.4.0/src/Main/main.cxx:526
 #10 main(int, char**) at /usr/src/debug/flightgear-3.4.0/src/Main/bootstrap.cxx:234
Comment 1 shialeweb 2016-01-03 19:22:56 EST
Created attachment 1111265 [details]
File: backtrace
Comment 2 shialeweb 2016-01-03 19:22:57 EST
Created attachment 1111266 [details]
File: cgroup
Comment 3 shialeweb 2016-01-03 19:22:57 EST
Created attachment 1111267 [details]
File: core_backtrace
Comment 4 shialeweb 2016-01-03 19:22:58 EST
Created attachment 1111268 [details]
File: dso_list
Comment 5 shialeweb 2016-01-03 19:22:59 EST
Created attachment 1111269 [details]
File: environ
Comment 6 shialeweb 2016-01-03 19:22:59 EST
Created attachment 1111270 [details]
File: exploitable
Comment 7 shialeweb 2016-01-03 19:23:00 EST
Created attachment 1111271 [details]
File: limits
Comment 8 shialeweb 2016-01-03 19:23:01 EST
Created attachment 1111272 [details]
File: maps
Comment 9 shialeweb 2016-01-03 19:23:01 EST
Created attachment 1111273 [details]
File: mountinfo
Comment 10 shialeweb 2016-01-03 19:23:02 EST
Created attachment 1111274 [details]
File: namespaces
Comment 11 shialeweb 2016-01-03 19:23:03 EST
Created attachment 1111275 [details]
File: open_fds
Comment 12 shialeweb 2016-01-03 19:23:04 EST
Created attachment 1111276 [details]
File: proc_pid_status
Comment 13 shialeweb 2016-01-03 19:23:04 EST
Created attachment 1111277 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:41:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:35:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.